//! Cli interface.

use clap::Parser;

/// Push Alertswiss notifications to MQTT.
#[derive(Parser)]
#[command(version, about, long_about = None)]
pub struct Cli {
    /// Update interval in seconds
    #[arg(short, long, default_value_t = 10)]
    pub interval: u64,
    /// Database connection string where timestamps are stored (SQLite, Postgres or MySql)
    #[arg(short, long, default_value_t = format!("sqlite::memory:"))]
    pub connection: String,
}
